=== requirements.txt ===
-e git://github.com/freedict/tools.git#egg=fd_fd_tool&subdirectory=fd_tool
-e git://github.com/freedict/tools.git#egg=fd_import&subdirectory=importers
semver==2.8.1
PyICU==2.0.3
ankisync==0.1.6.3
-e git://github.com/itkach/slob.git#egg=slob
-e git://github.com/itkach/tei2slob.git#egg=tei2slob
