=== debian/changelog ===
freedict-tools (0.5.0~beta.4-1) unstable; urgency=medium

  * new upstream version

 -- Sebastian Humenda <shumenda@gmx.de>  Wed, 30 Jan 2019 11:56:19 +0100

freedict-tools (0.5.0~beta.3-1) unstable; urgency=medium

  * new upstream version: more teiaddphoneitcs fixes, build system fixes

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 29 Jan 2019 15:51:32 +0100

freedict-tools (0.5.0~beta.2-4) unstable; urgency=medium

  * phonetics: generated phonetics could potentially display unrelated IPA for
    headwords, fixed by applying the upstream patch

 -- Sebastian Humenda <shumenda@gmx.de>  Sat, 26 Jan 2019 18:29:37 +0100

freedict-tools (0.5.0~beta.2-3) unstable; urgency=medium

  * debian packaging maintenance changes:
    * correctly include or deny dictionaries on given filter criteria
    * omit version number in package descriptions, if wanted
  * overwrite FREEDICT_TOOLS environment variable to not make the build depend
    on environment variables being set

 -- Sebastian Humenda <shumenda@gmx.de>  Fri, 02 Nov 2018 19:11:04 +0100

freedict-tools (0.5.0~beta.2-2) unstable; urgency=medium

  * backport upstream patch to avoid encoding issues with teiaddphonetics for
    the C locale
  * add helper script for debian FreeDict packaging

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 23 Oct 2018 15:44:18 +0200

freedict-tools (0.5.0~beta.2-1) unstable; urgency=medium

  * initial release (Closes: #905270)

 -- Sebastian Humenda <shumenda@gmx.de>  Sun, 23 Sep 2018 18:31:39 +0200
