=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PREFIX=/usr

export FREEDICT_TOOLS = .

%:
	dh $@
