=== debian/watch ===
# watch control file for uscan, see uscan(1)

# test this file by running
#   $ uscan --report --verbose

version=4


opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gladtex-$1\.tar\.gz/ \
  https://github.com/freedict/tools/releases .*/v?(\d\S*)\.tar\.gz
