## freedict-tools 0.5.0

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 INSTALLDIR ?= $(abspath $(DESTDIR)/$(PREFIX)/share/freedict)
 
 dirs = api JMdict lib mk xquery xsl/inc
-TARGET_DIRS = $(addprefix $(INSTALLDIR)/tools/, $(dirs))
+TARGET_INSTALL_DIRS = $(addprefix $(INSTALLDIR)/tools/, $(dirs))
 
 
 api: #! generate the api with information about all dictionaries and their downloads at the configured api path
@@ -27,7 +27,6 @@
 	@$(call get_api_path)
 
 api-validation: #! validate the freedict-database.xml against its RNG schema
-	@echo Hi $(call get_api_path)
 	xmllint --noout --relaxng freedict-database.rng $(shell $(call get_api_path))/freedict-database.xml
 
 
@@ -89,6 +88,10 @@
 is created at the correct place; use "P=/some/path" to specify the path.
 Example:
     make mk_venv P=../fd-venv
+NOTE: If you have not pkg-config on your system, you need to manually set the
+	environment variable ICU_VERSION to the version of libicu on your system.
+	This is due to some internal restructuring of the libicu library that we
+	depend on.
 After installation, you will be asked whether the virtual environment should be
 added to the FreeDict configuration. This is generally a good idea, because this
 means that the FreeDict build system will take care of all the required steps.
@@ -105,6 +108,14 @@
 		echo '`virtualenv` not found, please install it and try again.'; exit 10; \
 		fi
 	@virtualenv -q -p $(PYTHON) ${P}
+	@if [ -z "$(ICU_VERSION)" ]; then \
+		if ! command -v pkg-config; then \
+			echo "Environment variable ICU_VERSION unset and 'pkg-config' not found.";  \
+			echo "Please set ICU_VERSION to the version of libicu installed on your system."; \
+			exit 127; \
+		fi; \
+		export ICU_VERSION=`pkg-config --modversion icu-i18n`; \
+	fi; \
 	source ${P}/bin/activate; pip install -r requirements.txt
 	@if [ "$(FREEDICTRC)" = "" ]; then \
 		echo "You don't have a FreeDict configuration yet. Please create one, "; \
@@ -135,19 +146,19 @@
 	fi
 
 # NOTE: the directories below HAVE to be on one line
-DIRS := api api/generator api/file_manager api/generator/apigen mk xquery xsl/inc
-PATHS := $(wildcard api/*.py api/*.md api/generator/*.py api/generator/apigen/*.py \ api/file_manager/*.py \
+INSTALL_DIRS := api api/generator api/file_manager api/generator/apigen mk xquery xsl/inc
+INSTALL_PATHS := $(wildcard api/*.py api/generator/*.py api/generator/apigen/*.py api/file_manager/*.py \
 	freedict-database.rng \
-	mk/* xsl/inc/* \
+	mk/*.mk xsl/inc/* \
 	xquery/* xsl/tei2c5.xsl)
 install: #! install the tools to $$DESTDIR/$PREFIX/share/freedict (default /usr/local/share/freedict)
 install:
 	@echo Creating directories in $(INSTALLDIR)…
-	@set -e; for d in $(DIRS); do \
+	@set -e; for d in $(INSTALL_DIRS); do \
 		install -d $(INSTALLDIR)/$$d; \
 	done
 	@echo Copying files to $(INSTALLDIR)…
-	@set -e; for f in $(PATHS); do \
+	@set -e; for f in $(INSTALL_PATHS); do \
 		if [ -f $$f ]; then \
 			install -m 644 $$f $(INSTALLDIR)/$$f; \
 		fi \
