=== debian/changelog ===
freedict-tools (0.5.0-2) unstable; urgency=medium

  * Add python3 as build dependency (Closes #978974)

 -- Sebastian Humenda <shumenda@gmx.de>  Fri, 01 Jan 2021 18:07:19 +0100

freedict-tools (0.5.0-1) unstable; urgency=medium

  * new upstream version

 -- Sebastian Humenda <shumenda@gmx.de>  Wed, 30 Dec 2020 19:25:56 +0100
