=== debian/control ===
Source: freedict-tools
Section: devel
Priority: optional
Maintainer: Sebastian Humenda <shumenda@gmx.de>
Build-Depends: debhelper-compat (= 13), python3
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/freedict-team/freedict-tools
Vcs-Git: https://salsa.debian.org/freedict-team/freedict-tools.git
Homepage: https://www.freedict.org/
Rules-Requires-Root: no

Package: freedict-tools
Architecture: all
Depends: ${misc:Depends}, python3, xsltproc, dictfmt, dictzip, iso-codes, espeak-ng,
    licensecheck
Description: Development files for the FreeDict dictionary packages
 This package contains the FreeDict build system and its scripts, used to build
 and distribute dictionaries in the TEI format. FreeDict dictionaries are
 stored in a format independent from the dictionary program, called TEI. These
 utilities and scripts convert the TEI-formatted dictionaries into formats
 understood by dictionary programs.
