=== debian/watch ===
--- 
+++ 
@@ -6,5 +6,5 @@
 version=4
 
 
-opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gladtex-$1\.tar\.gz/ \
+opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/freedict-tools-$1\.tar\.gz/ \
   https://github.com/freedict/tools/releases .*/v?(\d\S*)\.tar\.gz
