=== importers/ding2tei/dict/tei/eng-deu/Makefile ===
FREEDICT_TOOLS ?= ../../../../..

DISTFILES = eng-deu.tei

include $(FREEDICT_TOOLS)/mk/dicts.mk
