=== debian/changelog ===
freedict-tools (0.6.0-2) unstable; urgency=medium

  * Fix fetchdictdata.py to correctly determine the licence of dictionaries.

 -- Sebastian Humenda <shumenda@gmx.de>  Fri, 22 Apr 2022 21:36:50 +0200

freedict-tools (0.6.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Sebastian Humenda ]
  * New upstream release
  * Update standards version to 4.6.0.1

 -- Sebastian Humenda <shumenda@gmx.de>  Thu, 21 Apr 2022 23:06:30 +0200
