=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastian Humenda <shumenda@gmx.de>
 Build-Depends: debhelper-compat (= 13), python3
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/freedict-team/freedict-tools
 Vcs-Git: https://salsa.debian.org/freedict-team/freedict-tools.git
 Homepage: https://www.freedict.org/
