## freedict-tools 0.7.0

=== requirements.txt ===
-e git+https://github.com/freedict/tools#egg=fd_tool&subdirectory=fd_tool
-e git+https://github.com/freedict/tools#egg=fd_import&subdirectory=importers
semver==2.8.1
pyicu>= 2.10
ankisync==0.1.6.3
-e git+https://github.com/itkach/slob#egg=slob
-e git+https://github.com/itkach/tei2slob#egg=tei2slob
pyglossary>=4.5.0
