=== importers/ding2tei/dict/tei/deu-eng/Makefile ===
FREEDICT_TOOLS ?= ../../../../..

DISTFILES = deu-eng.tei

include $(FREEDICT_TOOLS)/mk/dicts.mk
