=== debian/changelog ===
freedict-tools (0.7.0-2) unstable; urgency=medium

  * fix Debian script to detect licence information for d/copyright
  * remove outdated dependency on kdict for generated control snippets
  * enable stardict support

 -- Sebastian Humenda <shumenda@gmx.de>  Mon, 07 Apr 2025 16:25:47 +0200

freedict-tools (0.7.0-1) unstable; urgency=medium

  * new upstream release

 -- Sebastian Humenda <shumenda@gmx.de>  Thu, 31 Oct 2024 22:38:40 +0100
