=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastian Humenda <shumenda@gmx.de>
 Build-Depends: debhelper-compat (= 13), python3
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/freedict-team/freedict-tools
 Vcs-Git: https://salsa.debian.org/freedict-team/freedict-tools.git
 Homepage: https://www.freedict.org/
@@ -12,7 +12,7 @@
 Package: freedict-tools
 Architecture: all
 Depends: ${misc:Depends}, python3, xsltproc, dictfmt, dictzip, iso-codes, espeak-ng,
-    licensecheck
+    licensecheck, python3-pyglossary (>= 5.0~)
 Description: Development files for the FreeDict dictionary packages
  This package contains the FreeDict build system and its scripts, used to build
  and distribute dictionaries in the TEI format. FreeDict dictionaries are
