=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,7 @@
 
 %:
 	dh $@
+
+execute_after_dh_install:
+	dh_fixperms
+	chmod a+x debian/freedict-tools/usr/share/freedict/teiaddphonetics
