=== debian/watch ===
--- 
+++ 
@@ -7,4 +7,4 @@
 
 
 opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/freedict-tools-$1\.tar\.gz/ \
-  https://github.com/freedict/tools/releases .*/v?(\d\S*)\.tar\.gz
+  https://github.com/freedict/tools/tags .*/v?(\d\S+)\.tar\.gz
